# ConfigurableIncludedBuild

interface ConfigurableIncludedBuild : IncludedBuild

A build that is to be included in the composite.

#### Since

3.1

## Functions

dependencySubstitution
Link copied to clipboard
abstract fun dependencySubstitution(action: Action<in DependencySubstitutions>)
Configures the dependency substitution rules for this included build.
getName
Link copied to clipboard
abstract fun getName(): String
getProjectDir
Link copied to clipboard
abstract fun getProjectDir(): File
setName
Link copied to clipboard
abstract fun setName(name: String)
Sets the name of the included build.
task
Link copied to clipboard
abstract fun task(path: String): TaskReference